scala.collection.mutable

# SynchronizedQueue

#### class SynchronizedQueue[A] extends Queue[A]

This is a synchronized version of the `Queue[T]` class. It implements a data structure that allows one to insert and retrieve elements in a first-in-first-out (FIFO) manner.

A

  type of elements contained in this synchronized queue.

Source
  SynchronizedQueue.scala
Version

  1.0, 03/05/2004

Since

  1

Linear Supertypes
Queue[A], MutableList[A], Serializable, Serializable, Builder[A, MutableList[A]], Growable[A], LinearSeqOptimized[A, MutableList[A]], LinearSeq[A], LinearSeq[A], LinearSeqLike[A, MutableList[A]], Seq[A], SeqLike[A, Seq[A]], Cloneable[Queue[A]], Seq[A], SeqLike[A, MutableList[A]], GenSeq[A], GenSeqLike[A, MutableList[A]], PartialFunction[Int, A], (Int) ⇒ A, Iterable[A], Iterable[A], IterableLike[A, MutableList[A]], Equals, GenIterable[A], GenIterableLike[A, MutableList[A]], Traversable[A], Mutable, Traversable[A], GenTraversable[A], GenericTraversableTemplate[A, Queue], TraversableLike[A, MutableList[A]], GenTraversableLike[A, MutableList[A]], Parallelizable[A, ParSeq[A]], TraversableOnce[A], GenTraversableOnce[A], FilterMonadic[A, MutableList[A]], HasNewBuilder[A, Queue[A]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. SynchronizedQueue
2. Queue
3. MutableList
4. Serializable
5. Serializable
6. Builder
7. Growable
8. LinearSeqOptimized
9. LinearSeq
10. LinearSeq
11. LinearSeqLike
12. Seq
13. SeqLike
14. Cloneable
15. Seq
16. SeqLike
17. GenSeq
18. GenSeqLike
19. PartialFunction
20. Function1
21. Iterable
22. Iterable
23. IterableLike
24. Equals
25. GenIterable
26. GenIterableLike
27. Traversable
28. Mutable
29. Traversable
30. GenTraversable
31. GenericTraversableTemplate
32. TraversableLike
33. GenTraversableLike
34. Parallelizable
35. TraversableOnce
36. GenTraversableOnce
37. FilterMonadic
38. HasNewBuilder
39. AnyRef
40. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SynchronizedQueue()

### Type Members

1. #### type Self = MutableList[A]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### abstract def ++[B](that: GenTraversableOnce[B]): SynchronizedQueue[B]

   [use case] Returns a new synchronized queue containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new synchronized queue containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the synchronized queue is the most specific superclass encompassing the element types of the two operands (see example).

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this synchronized queue followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

5. #### def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

   Returns a new synchronized queue containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new synchronized queue containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the synchronized queue is the most specific superclass encompassing the element types of the two operands (see example).

   Example:

           scala> val a = LinkedList(1)
           a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

           scala> val b = LinkedList(2)
           b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val c = a ++ b
           c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

           scala> val d = LinkedList('a')
           d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

           scala> val e = c ++ d
           e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this synchronized queue followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike

6. #### def ++:[B >: A, That](that: Traversable[B])(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand. It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new synchronized queue which contains all elements of this synchronized queue followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### abstract def ++:[B](that: TraversableOnce[B]): SynchronizedQueue[B]

   [use case] Concatenates this synchronized queue with the elements of a traversable collection.

   [use case]

   Concatenates this synchronized queue with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this synchronized queue followed by all elements of `that`.

   Definition Classes
     TraversableLike

8. #### def ++:[B >: A, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

   Concatenates this synchronized queue with the elements of a traversable collection.

   Concatenates this synchronized queue with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this synchronized queue followed by all elements of `that`.

   Definition Classes
     TraversableLike

9. #### def ++=(xs: TraversableOnce[A]): SynchronizedQueue.this.type

   Adds all elements provided by a `TraversableOnce` object at the end of the queue.

   Adds all elements provided by a `TraversableOnce` object at the end of the queue. The elements are prepended in the order they are given out by the iterator.

   xs

     a traversable object

   returns

     the synchronized queue itself.

   Definition Classes
     SynchronizedQueue → Growable

10. #### abstract def +:(elem: A): SynchronizedQueue[A]

    [use case] A copy of the synchronized queue with an element prepended.

    [use case]

    A copy of the synchronized queue with an element prepended.

    elem

      the prepended element

    returns

      a new collection of type `That` consisting of `elem` followed by all elements of this synchronized queue.

    Definition Classes
      GenSeqLike

11. #### def +:[B >: A, That](elem: B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

    A copy of the synchronized queue with an element prepended.

    A copy of the synchronized queue with an element prepended.

    Note that :-ending operators are right associative (see example). Also, the original synchronized queue is not modified, so you will want to capture the result.

    Example:

             scala> val x = LinkedList(1)
             x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

             scala> val y = 2 +: x
             y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

             scala> println(x)
             LinkedList(1)

    B

      the element type of the returned synchronized queue.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the prepended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of `elem` followed by all elements of this synchronized queue.

    Definition Classes
      SeqLike → GenSeqLike

12. #### def +=(elem: A): SynchronizedQueue.this.type

    Inserts a single element at the end of the queue.

    Inserts a single element at the end of the queue.

    elem

      the element to insert

    returns

      the builder itself.

    Definition Classes
      SynchronizedQueue → MutableList → Builder → Growable

13. #### def +=(elem1: A, elem2: A, elems: A*): SynchronizedQueue.this.type

    adds two or more elements to this synchronized queue.

    adds two or more elements to this synchronized queue.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the synchronized queue itself

    Definition Classes
      Growable

14. #### def +=:(elem: A): SynchronizedQueue.this.type

    Prepends a single element to this list.

    Prepends a single element to this list. This operation takes constant time.

    elem

      the element to prepend.

    returns

      this synchronized queue.

    Definition Classes
      MutableList

15. #### def /:[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this synchronized queue, going left to right.

    Applies a binary operator to a start value and all elements of this synchronized queue, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (5 /: a)(_+_)
             b: Int = 15

             scala> val c = (5 /: a)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this synchronized queue, going left to right with the start value `z` on the left:

                      op(...op(op(z, x1), x2), ..., xn)

      where `x1, ..., xn` are the elements of this synchronized queue.

    Definition Classes
      TraversableOnce → GenTraversableOnce

16. #### def /:\[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    A syntactic sugar for out of order folding.

    A syntactic sugar for out of order folding. See `fold`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a /:\ 5)(_+_)
             b: Int = 15

    Definition Classes
      GenTraversableOnce

17. #### abstract def :+(elem: A): SynchronizedQueue[A]

    [use case] A copy of this synchronized queue with an element appended.

    [use case]

    A copy of this synchronized queue with an element appended.

    elem

      the appended element

    returns

      a new collection of type `That` consisting of all elements of this synchronized queue followed by `elem`.

    Definition Classes
      GenSeqLike

18. #### def :+[B >: A, That](elem: B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

    A copy of this synchronized queue with an element appended.

    A copy of this synchronized queue with an element appended.

    B

      the element type of the returned synchronized queue.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the appended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of all elements of this synchronized queue followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike

19. #### def :\[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this synchronized queue and a start value, going right to left.

    Applies a binary operator to all elements of this synchronized queue and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a :\ 5)(_+_)
             b: Int = 15

             scala> val c = (a :\ 5)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this synchronized queue, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this synchronized queue.

    Definition Classes
      TraversableOnce → GenTraversableOnce

20. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

22. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this synchronized queue to a string builder.

    Appends all elements of this synchronized queue to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this synchronized queue without any separator string.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> val h = a.addString(b)
             b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

23. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this synchronized queue to a string builder using a separator string.

    Appends all elements of this synchronized queue to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this synchronized queue, separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, ", ")
             res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

24. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this synchronized queue to a string builder using start, end, and separator strings.

    Appends all elements of this synchronized queue to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this synchronized queue are separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, "LinkedList(", ", ", ")")
             res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

25. #### def aggregate[B](z: B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

           pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

26. #### def andThen[C](k: (A) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

27. #### def appendElem(elem: A): Unit

    Attributes
      protected
    Definition Classes
      MutableList

28. #### def apply(n: Int): A

    Returns the `n`th element of this list.

    Returns the `n`th element of this list.

    returns

      the element of this synchronized queue at index `idx`, where `0` indicates the first element.

    Definition Classes
      MutableList → LinearSeqOptimized → SeqLike → GenSeqLike → Function1
    Exceptions thrown
      IndexOutOfBoundsException

      if index does not exist.

29. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

30. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this synchronized queue should be compared

    returns

      `true`, if this synchronized queue can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

31. #### def clear(): Unit

    Removes all elements from the queue.

    Removes all elements from the queue. After this operation is completed, the queue will be empty.

    Definition Classes
      SynchronizedQueue → MutableList → Builder → Growable

32. #### def clone(): Queue[A]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

33. #### abstract def collect[B](pf: PartialFunction[A, B]): SynchronizedQueue[B]

    [use case] Builds a new collection by applying a partial function to all elements of this synchronized queue on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this synchronized queue on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the synchronized queue.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

34. #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

    Builds a new collection by applying a partial function to all elements of this synchronized queue on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this synchronized queue on which the function is defined.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    pf

      the partial function which filters and maps the synchronized queue.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

35. #### def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the synchronized queue for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the synchronized queue for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

36. #### def combinations(n: Int): Iterator[MutableList[A]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this synchronized queue.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

37. #### def companion: GenericCompanion[Queue]

    The factory companion object that builds instances of class SynchronizedQueue.

    The factory companion object that builds instances of class SynchronizedQueue. (or its `Iterable` superclass where class SynchronizedQueue is not a `Seq`.)

    Definition Classes
      Queue → MutableList → LinearSeq → LinearSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

38. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1

39. #### def contains(elem: Any): Boolean

    Tests whether this synchronized queue contains a given value as an element.

    Tests whether this synchronized queue contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this synchronized queue has an element that is is equal (wrt `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

40. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this synchronized queue contains a given sequence as a slice.

    Tests whether this synchronized queue contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this synchronized queue contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

41. #### abstract def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this synchronized queue to an array.

    [use case]

    Copies elements of this synchronized queue to an array. Fills the given array `xs` with at most `len` elements of this synchronized queue, starting at position `start`. Copying will stop once either the end of the current synchronized queue is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableLike

42. #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

    Copies elements of this synchronized queue to an array.

    Copies elements of this synchronized queue to an array. Fills the given array `xs` with at most `len` elements of this synchronized queue, starting at position `start`. Copying will stop once either the end of the current synchronized queue is reached, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

43. #### abstract def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this synchronized queue to an array.

    [use case]

    Copies values of this synchronized queue to an array. Fills the given array `xs` with values of this synchronized queue. Copying will stop once either the end of the current synchronized queue is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

44. #### def copyToArray[B >: A](xs: Array[B]): Unit

    Copies values of this synchronized queue to an array.

    Copies values of this synchronized queue to an array. Fills the given array `xs` with values of this synchronized queue. Copying will stop once either the end of the current synchronized queue is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce

45. #### abstract def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this synchronized queue to an array.

    [use case]

    Copies values of this synchronized queue to an array. Fills the given array `xs` with values of this synchronized queue, beginning at index `start`. Copying will stop once either the end of the current synchronized queue is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

46. #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

    Copies values of this synchronized queue to an array.

    Copies values of this synchronized queue to an array. Fills the given array `xs` with values of this synchronized queue, beginning at index `start`. Copying will stop once either the end of the current synchronized queue is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce

47. #### def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Copies all elements of this synchronized queue to a buffer.

    Copies all elements of this synchronized queue to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

48. #### def corresponds[B](that: GenSeq[B])(p: (A, B) ⇒ Boolean): Boolean

    Tests whether every element of this synchronized queue relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this synchronized queue relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this synchronized queue and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

49. #### def count(p: (A) ⇒ Boolean): Int

    Counts the number of elements in the synchronized queue which satisfy a predicate.

    Counts the number of elements in the synchronized queue which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      LinearSeqOptimized → TraversableOnce → GenTraversableOnce

50. #### def dequeue(): A

    Returns the first element in the queue, and removes this element from the queue.

    Returns the first element in the queue, and removes this element from the queue.

    returns

      the first element of the queue.

    Definition Classes
      SynchronizedQueue → Queue

51. #### def dequeueAll(p: (A) ⇒ Boolean): Seq[A]

    Returns all elements in the queue which satisfy the given predicate, and removes those elements from the queue.

    Returns all elements in the queue which satisfy the given predicate, and removes those elements from the queue.

    p

      the predicate used for choosing elements

    returns

      a sequence of all elements in the queue for which p yields true.

    Definition Classes
      Queue

52. #### def dequeueFirst(p: (A) ⇒ Boolean): Option[A]

    Returns the first element in the queue which satisfies the given predicate, and removes this element from the queue.

    Returns the first element in the queue which satisfies the given predicate, and removes this element from the queue.

    p

      the predicate used for choosing the first element

    returns

      the first element of the queue for which p yields true

    Definition Classes
      Queue

53. #### abstract def diff(that: Seq[A]): SynchronizedQueue[A]

    [use case] Computes the multiset difference between this synchronized queue and another sequence.

    [use case]

    Computes the multiset difference between this synchronized queue and another sequence.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this synchronized queue except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike

54. #### def diff[B >: A](that: GenSeq[B]): MutableList[A]

    Computes the multiset difference between this synchronized queue and another sequence.

    Computes the multiset difference between this synchronized queue and another sequence.

    B

      the element type of the returned synchronized queue.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this synchronized queue except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike

55. #### def distinct: MutableList[A]

    Builds a new synchronized queue from this synchronized queue without any duplicate elements.

    Builds a new synchronized queue from this synchronized queue without any duplicate elements.

    returns

      A new synchronized queue which contains the first occurrence of every element of this synchronized queue.

    Definition Classes
      SeqLike → GenSeqLike

56. #### def drop(n: Int): MutableList[A]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this synchronized queue.

    returns

      a synchronized queue consisting of all elements of this synchronized queue except the first `n` ones, or else the empty synchronized queue, if this synchronized queue has less than `n` elements.

    Definition Classes
      LinearSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

57. #### def dropRight(n: Int): MutableList[A]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a synchronized queue consisting of all elements of this synchronized queue except the last `n` ones, or else the empty synchronized queue, if this synchronized queue has less than `n` elements.

    Definition Classes
      LinearSeqOptimized → IterableLike

58. #### def dropWhile(p: (A) ⇒ Boolean): MutableList[A]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this synchronized queue whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

59. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this synchronized queue ends with the given sequence.

    Tests whether this synchronized queue ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this synchronized queue has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqLike → GenSeqLike

60. #### def enqueue(elems: A*): Unit

    Adds all elements to the queue.

    Adds all elements to the queue.

    elems

      the elements to add.

    Definition Classes
      SynchronizedQueue → Queue

61. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

62. #### def equals(that: Any): Boolean

    Checks if two queues are structurally identical.

    Checks if two queues are structurally identical.

    that

      The object to compare the sequence to

    returns

      true, iff both queues contain the same sequence of elements.

    Definition Classes
      SynchronizedQueue → GenSeqLike → Equals → AnyRef → Any

63. #### def exists(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this synchronized queue.

    Tests whether a predicate holds for some of the elements of this synchronized queue.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this synchronized queue, otherwise `false`.

    Definition Classes
      LinearSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

64. #### def extractFirst(start: LinkedList[A], p: (A) ⇒ Boolean): Option[LinkedList[A]]

    Return the proper suffix of this list which starts with the first element that satisfies `p`.

    Return the proper suffix of this list which starts with the first element that satisfies `p`. That element is unlinked from the list. If no element satisfies `p`, return None.

    Definition Classes
      Queue

65. #### def filter(p: (A) ⇒ Boolean): MutableList[A]

    Selects all elements of this synchronized queue which satisfy a predicate.

    Selects all elements of this synchronized queue which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new synchronized queue consisting of all elements of this synchronized queue that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

66. #### def filterNot(p: (A) ⇒ Boolean): MutableList[A]

    Selects all elements of this synchronized queue which do not satisfy a predicate.

    Selects all elements of this synchronized queue which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new synchronized queue consisting of all elements of this synchronized queue that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

67. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

68. #### def find(p: (A) ⇒ Boolean): Option[A]

    Finds the first element of the synchronized queue satisfying a predicate, if any.

    Finds the first element of the synchronized queue satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the synchronized queue that satisfies `p`, or `None` if none exists.

    Definition Classes
      LinearSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

69. #### var first0: LinkedList[A]

    Attributes
      protected
    Definition Classes
      MutableList

70. #### abstract def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): SynchronizedQueue[B]

    [use case] Builds a new collection by applying a function to all elements of this synchronized queue and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this synchronized queue and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this synchronized queue and concatenating the results.

    Definition Classes
      GenTraversableLike

71. #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

    Builds a new collection by applying a function to all elements of this synchronized queue and using the elements of the resulting collections.

    Builds a new collection by applying a function to all elements of this synchronized queue and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of synchronized queue. This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this synchronized queue and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

72. #### abstract def flatten[B]: SynchronizedQueue[B]

    [use case] Converts this synchronized queue of traversable collections into a synchronized queue formed by the elements of these traversable collections.

    [use case]

    Converts this synchronized queue of traversable collections into a synchronized queue formed by the elements of these traversable collections.

    B

      the type of the elements of each traversable collection.

    returns

      a new synchronized queue resulting from concatenating all element synchronized queues.

    Definition Classes
      GenericTraversableTemplate

73. #### def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this synchronized queue using the specified associative binary operator.

    Folds the elements of this synchronized queue using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

74. #### def foldLeft[B](z: B)(f: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this synchronized queue, going left to right.

    Applies a binary operator to a start value and all elements of this synchronized queue, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    returns

      the result of inserting `op` between consecutive elements of this synchronized queue, going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this synchronized queue.

    Definition Classes
      LinearSeqOptimized → TraversableOnce → GenTraversableOnce

75. #### def foldRight[B](z: B)(f: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this synchronized queue and a start value, going right to left.

    Applies a binary operator to all elements of this synchronized queue and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    returns

      the result of inserting `op` between consecutive elements of this synchronized queue, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this synchronized queue.

    Definition Classes
      LinearSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

76. #### def forall(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this synchronized queue.

    Tests whether a predicate holds for all elements of this synchronized queue.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this synchronized queue, otherwise `false`.

    Definition Classes
      LinearSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

77. #### abstract def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this synchronized queue.

    [use case]

    Applies a function `f` to all elements of this synchronized queue.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike

78. #### def foreach[B](f: (A) ⇒ B): Unit

    Applies a function `f` to all elements of this synchronized queue.

    Applies a function `f` to all elements of this synchronized queue.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      LinearSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

79. #### def front: A

    Returns the first element in the queue, or throws an error if there is no element contained in the queue.

    Returns the first element in the queue, or throws an error if there is no element contained in the queue.

    returns

      the first element.

    Definition Classes
      SynchronizedQueue → Queue

80. #### def genericBuilder[B]: Builder[B, Queue[B]]

    The generic builder that builds instances of SynchronizedQueue at arbitrary element types.

    The generic builder that builds instances of SynchronizedQueue at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

81. #### def get(n: Int): Option[A]

    Returns the `n`th element of this list or `None` if index does not exist.

    Returns the `n`th element of this list or `None` if index does not exist.

    Definition Classes
      MutableList

82. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

83. #### def groupBy[K](f: (A) ⇒ K): Map[K, MutableList[A]]

    Partitions this synchronized queue into a map of synchronized queues according to some discriminator function.

    Partitions this synchronized queue into a map of synchronized queues according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new synchronized queue.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to synchronized queues such that the following invariant holds:

                          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a synchronized queue of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

84. #### def grouped(size: Int): Iterator[MutableList[A]]

    Partitions elements in fixed size synchronized queues.

    Partitions elements in fixed size synchronized queues.

    size

      the number of elements per group

    returns

      An iterator producing synchronized queues of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      Iterator#grouped

85. #### def hasDefiniteSize: Boolean

    Tests whether this synchronized queue is known to have a finite size.

    Tests whether this synchronized queue is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

86. #### def hashCode(): Int

    Hashcodes for SynchronizedQueue produce a value from the hashcodes of all the elements of the synchronized queue.

    Hashcodes for SynchronizedQueue produce a value from the hashcodes of all the elements of the synchronized queue.

    returns

      the hash code value for this object.

    Definition Classes
      GenSeqLike → AnyRef → Any

87. #### def head: A

    Returns the first element in this list

    Returns the first element in this list

    returns

      the first element of this synchronized queue.

    Definition Classes
      MutableList → LinearSeqOptimized → IterableLike → GenIterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike

88. #### def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this synchronized queue if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike

89. #### abstract def indexOf(elem: A, from: Int): Int

    [use case] Finds index of first occurrence of some value in this synchronized queue after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this synchronized queue after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

90. #### def indexOf[B >: A](elem: B, from: Int): Int

    Finds index of first occurrence of some value in this synchronized queue after or at some start index.

    Finds index of first occurrence of some value in this synchronized queue after or at some start index.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

91. #### abstract def indexOf(elem: A): Int

    [use case] Finds index of first occurrence of some value in this synchronized queue.

    [use case]

    Finds index of first occurrence of some value in this synchronized queue.

    elem

      the element value to search for.

    returns

      the index of the first element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

92. #### def indexOf[B >: A](elem: B): Int

    Finds index of first occurrence of some value in this synchronized queue.

    Finds index of first occurrence of some value in this synchronized queue.

    B

      the type of the element `elem`.

    elem

      the element value to search for.

    returns

      the index of the first element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

93. #### def indexOfSlice[B >: A](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this synchronized queue contains a given sequence as a slice.

    Finds first index after or at a start index where this synchronized queue contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this synchronized queue starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

94. #### def indexOfSlice[B >: A](that: GenSeq[B]): Int

    Finds first index where this synchronized queue contains a given sequence as a slice.

    Finds first index where this synchronized queue contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this synchronized queue starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

95. #### def indexWhere(p: (A) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this synchronized queue that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      LinearSeqOptimized → SeqLike → GenSeqLike

96. #### def indexWhere(p: (A) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this synchronized queue that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

97. #### def indices: Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this synchronized queue.

    Definition Classes
      SeqLike

98. #### def init: MutableList[A]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a synchronized queue consisting of all elements of this synchronized queue except the last one.

    Definition Classes
      TraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the synchronized queue is empty.

99. #### def inits: Iterator[MutableList[A]]

    Iterates over the inits of this synchronized queue.

    Iterates over the inits of this synchronized queue. The first value will be this synchronized queue and the final one will be an empty synchronized queue, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this synchronized queue

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

100. #### abstract def intersect(that: Seq[A]): SynchronizedQueue[A]

     [use case] Computes the multiset intersection between this synchronized queue and another sequence.

     [use case]

     Computes the multiset intersection between this synchronized queue and another sequence.

     that

       the sequence of elements to intersect with.

     returns

       a new collection of type `That` which contains all elements of this synchronized queue which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike

101. #### def intersect[B >: A](that: GenSeq[B]): MutableList[A]

     Computes the multiset intersection between this synchronized queue and another sequence.

     Computes the multiset intersection between this synchronized queue and another sequence.

     B

       the element type of the returned synchronized queue.

     that

       the sequence of elements to intersect with.

     returns

       a new collection of type `That` which contains all elements of this synchronized queue which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike → GenSeqLike

102. #### def isDefinedAt(x: Int): Boolean

     Tests whether this synchronized queue contains given index.

     Tests whether this synchronized queue contains given index.

     The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

     returns

       `true` if this synchronized queue contains an element at position `idx`, `false` otherwise.

     Definition Classes
       LinearSeqOptimized → GenSeqLike

103. #### def isEmpty: Boolean

     Checks if the queue is empty.

     Checks if the queue is empty.

     returns

       true, iff there is no element in the queue.

     Definition Classes
       SynchronizedQueue → MutableList → LinearSeqOptimized → IterableLike → GenIterableLike → GenericTraversableTemplate → TraversableLike → TraversableOnce → GenTraversableOnce

104. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

105. #### final def isTraversableAgain: Boolean

     Tests whether this synchronized queue can be repeatedly traversed.

     Tests whether this synchronized queue can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       GenTraversableLike → GenTraversableOnce

106. #### def iterator: Iterator[A]

     Returns an iterator over all elements of this list.

     Returns an iterator over all elements of this list.

     returns

       the new iterator

     Definition Classes
       MutableList → LinearSeqLike → IterableLike → GenIterableLike

107. #### def last: A

     Selects the last element.

     Selects the last element.

     returns

       The last element of this synchronized queue.

     Definition Classes
       MutableList → LinearSeqOptimized → TraversableLike
     Exceptions thrown
       NoSuchElementException

       If the synchronized queue is empty.

108. #### var last0: LinkedList[A]

     Attributes
       protected
     Definition Classes
       MutableList

109. #### abstract def lastIndexOf(elem: A, end: Int): Int

     [use case] Finds index of last occurrence of some value in this synchronized queue before or at a given end index.

     [use case]

     Finds index of last occurrence of some value in this synchronized queue before or at a given end index.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

110. #### def lastIndexOf[B >: A](elem: B, end: Int): Int

     Finds index of last occurrence of some value in this synchronized queue before or at a given end index.

     Finds index of last occurrence of some value in this synchronized queue before or at a given end index.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

111. #### abstract def lastIndexOf(elem: A): Int

     [use case] Finds index of last occurrence of some value in this synchronized queue.

     [use case]

     Finds index of last occurrence of some value in this synchronized queue.

     elem

       the element value to search for.

     returns

       the index of the last element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

112. #### def lastIndexOf[B >: A](elem: B): Int

     Finds index of last occurrence of some value in this synchronized queue.

     Finds index of last occurrence of some value in this synchronized queue.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     returns

       the index of the last element of this synchronized queue that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

113. #### def lastIndexOfSlice[B >: A](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this synchronized queue contains a given sequence as a slice.

     Finds last index before or at a given end index where this synchronized queue contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this synchronized queue starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

114. #### def lastIndexOfSlice[B >: A](that: GenSeq[B]): Int

     Finds last index where this synchronized queue contains a given sequence as a slice.

     Finds last index where this synchronized queue contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this synchronized queue starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

115. #### def lastIndexWhere(p: (A) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this synchronized queue that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       LinearSeqOptimized → SeqLike → GenSeqLike

116. #### def lastIndexWhere(p: (A) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this synchronized queue that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

117. #### def lastOption: Option[A]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this synchronized queue$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike

118. #### var len: Int

     Attributes
       protected
     Definition Classes
       MutableList

119. #### def length: Int

     Returns the length of this list.

     Returns the length of this list.

     returns

       the number of elements in this synchronized queue.

     Definition Classes
       MutableList → LinearSeqOptimized → SeqLike → GenSeqLike

120. #### def lengthCompare(len: Int): Int

     Compares the length of this synchronized queue to a test value.

     Compares the length of this synchronized queue to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

                  x <  0       if this.length <  len
                  x == 0       if this.length == len
                  x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       LinearSeqOptimized → SeqLike

121. #### def lift: (Int) ⇒ Option[A]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

122. #### abstract def map[B](f: (A) ⇒ B): SynchronizedQueue[B]

     [use case] Builds a new collection by applying a function to all elements of this synchronized queue.

     [use case]

     Builds a new collection by applying a function to all elements of this synchronized queue.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this synchronized queue and collecting the results.

     Definition Classes
       GenTraversableLike

123. #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     Builds a new collection by applying a function to all elements of this synchronized queue.

     Builds a new collection by applying a function to all elements of this synchronized queue.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this synchronized queue and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic

124. #### def mapResult[NewTo](f: (MutableList[A]) ⇒ NewTo): Builder[A, NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

125. #### abstract def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this synchronized queue with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

126. #### def max[B >: A](implicit cmp: Ordering[B]): A

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the largest element of this synchronized queue with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

127. #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

128. #### abstract def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this synchronized queue with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

129. #### def min[B >: A](implicit cmp: Ordering[B]): A

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the smallest element of this synchronized queue with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

130. #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

     Definition Classes
       TraversableOnce → GenTraversableOnce

131. #### def mkString: String

     Displays all elements of this synchronized queue in a string.

     Displays all elements of this synchronized queue in a string.

     returns

       a string representation of this synchronized queue. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this synchronized queue follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

132. #### def mkString(sep: String): String

     Displays all elements of this synchronized queue in a string using a separator string.

     Displays all elements of this synchronized queue in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this synchronized queue. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this synchronized queue are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

133. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this synchronized queue in a string using start, end, and separator strings.

     Displays all elements of this synchronized queue in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this synchronized queue. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this synchronized queue are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

134. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

135. #### def newBuilder: Builder[A, Queue[A]]

     The builder that builds instances of type SynchronizedQueue[A]

     The builder that builds instances of type SynchronizedQueue[A]

     Attributes
       protected[this]
     Definition Classes
       Queue → MutableList → GenericTraversableTemplate → TraversableLike → HasNewBuilder

136. #### def nonEmpty: Boolean

     Tests whether the synchronized queue is not empty.

     Tests whether the synchronized queue is not empty.

     returns

       `true` if the synchronized queue contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

137. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

138. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

139. #### def orElse[A1 <: Int, B1 >: A](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

140. #### abstract def padTo(len: Int, elem: A): SynchronizedQueue[A]

     [use case] A copy of this synchronized queue with an element value appended until a given target length is reached.

     [use case]

     A copy of this synchronized queue with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new collection of type `That` consisting of all elements of this synchronized queue followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       GenSeqLike

141. #### def padTo[B >: A, That](len: Int, elem: B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     A copy of this synchronized queue with an element value appended until a given target length is reached.

     A copy of this synchronized queue with an element value appended until a given target length is reached.

     B

       the element type of the returned synchronized queue.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     len

       the target length

     elem

       the padding value

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` consisting of all elements of this synchronized queue followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike

142. #### def par: ParSeq[A]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

143. #### def parCombiner: Combiner[A, ParSeq[A]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SeqLike → SeqLike → TraversableLike → Parallelizable

144. #### def partition(p: (A) ⇒ Boolean): (MutableList[A], MutableList[A])

     Partitions this synchronized queue in two synchronized queues according to a predicate.

     Partitions this synchronized queue in two synchronized queues according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of synchronized queues: the first synchronized queue consists of all elements that satisfy the predicate `p` and the second synchronized queue consists of all elements that don't. The relative order of the elements in the resulting synchronized queues is the same as in the original synchronized queue.

     Definition Classes
       TraversableLike → GenTraversableLike

145. #### abstract def patch(from: Int, that: GenSeq[A], replaced: Int): SynchronizedQueue[A]

     [use case] Produces a new synchronized queue where a slice of elements in this synchronized queue is replaced by another sequence.

     [use case]

     Produces a new synchronized queue where a slice of elements in this synchronized queue is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original synchronized queue

     returns

       a new synchronized queue consisting of all elements of this synchronized queue except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       GenSeqLike

146. #### def patch[B >: A, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     Produces a new synchronized queue where a slice of elements in this synchronized queue is replaced by another sequence.

     Produces a new synchronized queue where a slice of elements in this synchronized queue is replaced by another sequence.

     B

       the element type of the returned synchronized queue.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     from

       the index of the first replaced element

     patch

       the replacement sequence

     replaced

       the number of elements to drop in the original synchronized queue

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new synchronized queue consisting of all elements of this synchronized queue except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike

147. #### def permutations: Iterator[MutableList[A]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this synchronized queue.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

148. #### def prefixLength(p: (A) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this synchronized queue such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

149. #### def prependElem(elem: A): Unit

     Attributes
       protected
     Definition Classes
       MutableList

150. #### abstract def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements of this synchronized queue with respect to the `*` operator in `num`.

     Definition Classes
       GenTraversableOnce

151. #### def product[B >: A](implicit num: Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this synchronized queue with respect to the `*` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

152. #### def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this synchronized queue using the specified associative binary operator.

     Reduces the elements of this synchronized queue using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the synchronized queue is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this synchronized queue is empty.

153. #### def reduceLeft[B >: A](f: (B, A) ⇒ B): B

     Definition Classes
       LinearSeqOptimized → TraversableOnce

154. #### def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this synchronized queue, going left to right.

     Optionally applies a binary operator to all elements of this synchronized queue, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this synchronized queue is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

155. #### def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this synchronized queue, if any, using the specified associative binary operator.

     Reduces the elements of this synchronized queue, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

156. #### def reduceRight[B >: A](op: (A, B) ⇒ B): B

     Applies a binary operator to all elements of this synchronized queue, going right to left.

     Applies a binary operator to all elements of this synchronized queue, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this synchronized queue, going right to left:

                       op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

       where `x1, ..., xn` are the elements of this synchronized queue.

     Definition Classes
       LinearSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this synchronized queue is empty.

157. #### def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this synchronized queue, going right to left.

     Optionally applies a binary operator to all elements of this synchronized queue, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this synchronized queue is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

158. #### def repr: MutableList[A]

     The collection of type synchronized queue underlying this `TraversableLike` object.

     The collection of type synchronized queue underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

159. #### def result(): MutableList[A]

     Produces a collection from the added elements.

     Produces a collection from the added elements. The builder's contents are undefined after this operation.

     returns

       a collection containing the elements added to this builder.

     Definition Classes
       MutableList → Builder

160. #### def reverse: MutableList[A]

     Returns new synchronized queue wih elements in reversed order.

     Returns new synchronized queue wih elements in reversed order.

     returns

       A new synchronized queue with all elements of this synchronized queue in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

161. #### def reverseIterator: Iterator[A]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this synchronized queue in reversed order

     Definition Classes
       SeqLike

162. #### abstract def reverseMap[B](f: (A) ⇒ B): SynchronizedQueue[B]

     [use case] Builds a new collection by applying a function to all elements of this synchronized queue and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this synchronized queue and collecting the results in reversed order.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this synchronized queue and collecting the results in reversed order.

       Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     Definition Classes
       GenSeqLike

163. #### def reverseMap[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     Builds a new collection by applying a function to all elements of this synchronized queue and collecting the results in reversed order.

     Builds a new collection by applying a function to all elements of this synchronized queue and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this synchronized queue and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

164. #### def reversed: List[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

165. #### abstract def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this synchronized queue.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this synchronized queue.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       GenIterableLike

166. #### def sameElements[B >: A](that: GenIterable[B]): Boolean

     Checks if the other iterable collection contains the same elements in the same order as this synchronized queue.

     Checks if the other iterable collection contains the same elements in the same order as this synchronized queue.

     B

       the type of the elements of collection `that`.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       LinearSeqOptimized → IterableLike → GenIterableLike

167. #### def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[MutableList[A], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new synchronized queue containing the prefix scan of the elements in this synchronized queue

     Definition Classes
       TraversableLike → GenTraversableLike

168. #### def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     Produces a collection containing cummulative results of applying the operator going left to right.

     Produces a collection containing cummulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

169. #### def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     Produces a collection containing cummulative results of applying the operator going right to left.

     Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

     Example:

            List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

170. #### def segmentLength(p: (A) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this synchronized queue starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       LinearSeqOptimized → SeqLike → GenSeqLike

171. #### def seq: Seq[A]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

172. #### def size: Int

     The size of this synchronized queue, equivalent to `length`.

     The size of this synchronized queue, equivalent to `length`.

     returns

       the number of elements in this synchronized queue.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

173. #### def sizeHint(coll: scala.collection.TraversableLike[_, _], delta: Int = 0): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

174. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

175. #### def sizeHintBounded(size: Int, boundingColl: scala.collection.TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

176. #### def slice(from: Int, until: Int): MutableList[A]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

            from <= indexOf(x) < until

     from

       the lowest index to include from this synchronized queue.

     until

       the highest index to EXCLUDE from this synchronized queue.

     returns

       a synchronized queue containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this synchronized queue.

     Definition Classes
       LinearSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

177. #### def sliding[B >: A](size: Int, step: Int): Iterator[MutableList[A]]

     Definition Classes
       IterableLike

178. #### def sliding[B >: A](size: Int): Iterator[MutableList[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing synchronized queues of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       Iterator#sliding

179. #### def sortBy[B](f: (A) ⇒ B)(implicit ord: Ordering[B]): MutableList[A]

     Sorts this SynchronizedQueue according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this SynchronizedQueue according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a synchronized queue consisting of the elements of this synchronized queue sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.        val words = "The quick brown fox jumped over the lazy dog".split(' ')
               // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
               words.sortBy(x => (x.length, x.head))
               res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

180. #### def sortWith(lt: (A, A) ⇒ Boolean): MutableList[A]

     Sorts this synchronized queue according to a comparison function.

     Sorts this synchronized queue according to a comparison function.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a synchronized queue consisting of the elements of this synchronized queue sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.        List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
               List("Bob", "John", "Steve", "Tom")

181. #### def sorted[B >: A](implicit ord: Ordering[B]): MutableList[A]

     Sorts this synchronized queue according to an Ordering.

     Sorts this synchronized queue according to an Ordering.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a synchronized queue consisting of the elements of this synchronized queue sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

182. #### def span(p: (A) ⇒ Boolean): (MutableList[A], MutableList[A])

     Splits this synchronized queue into a prefix/suffix pair according to a predicate.

     Splits this synchronized queue into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this synchronized queue whose elements all satisfy `p`, and the rest of this synchronized queue.

     Definition Classes
       LinearSeqOptimized → TraversableLike → GenTraversableLike

183. #### def splitAt(n: Int): (MutableList[A], MutableList[A])

     Splits this synchronized queue into two at a given position.

     Splits this synchronized queue into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of synchronized queues consisting of the first `n` elements of this synchronized queue, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

184. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this synchronized queue contains the given sequence at a given index.

     Tests whether this synchronized queue contains the given sequence at a given index.

     If the both the receiver object, `this` and the argument, `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this synchronized queue at index `offset`, otherwise `false`.

     Definition Classes
       SeqLike → GenSeqLike

185. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this synchronized queue starts with the given sequence.

     Tests whether this synchronized queue starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

186. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this synchronized queue. By default the string prefix is the simple name of the collection class synchronized queue.

     Definition Classes
       TraversableLike → GenTraversableLike

187. #### abstract def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements of this synchronized queue with respect to the `+` operator in `num`.

     Definition Classes
       GenTraversableOnce

188. #### def sum[B >: A](implicit num: Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this synchronized queue with respect to the `+` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

189. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

190. #### def tail: MutableList[A]

     Returns the rest of this list

     Returns the rest of this list

     returns

       a synchronized queue consisting of all elements of this synchronized queue except the first one.

     Definition Classes
       MutableList → LinearSeqOptimized → TraversableLike → GenTraversableLike

191. #### def tails: Iterator[MutableList[A]]

     Iterates over the tails of this synchronized queue.

     Iterates over the tails of this synchronized queue. The first value will be this synchronized queue and the final one will be an empty synchronized queue, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this synchronized queue

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

192. #### def take(n: Int): MutableList[A]

     Selects first n elements.

     Selects first n elements.

     n

       Tt number of elements to take from this synchronized queue.

     returns

       a synchronized queue consisting only of the first `n` elements of this synchronized queue, or else the whole synchronized queue, if it has less than `n` elements.

     Definition Classes
       LinearSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

193. #### def takeRight(n: Int): MutableList[A]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a synchronized queue consisting only of the last `n` elements of this synchronized queue, or else the whole synchronized queue, if it has less than `n` elements.

     Definition Classes
       IterableLike

194. #### def takeWhile(p: (A) ⇒ Boolean): MutableList[A]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this synchronized queue whose elements all satisfy the predicate `p`.

     Definition Classes
       LinearSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

195. #### def thisCollection: LinearSeq[A]

     The underlying collection seen as an instance of `SynchronizedQueue`.

     The underlying collection seen as an instance of `SynchronizedQueue`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       LinearSeqLike → SeqLike → IterableLike → TraversableLike

196. #### abstract def toArray: Array[A]

     [use case] Converts this synchronized queue to an array.

     [use case]

     Converts this synchronized queue to an array.

     returns

       an array containing all elements of this synchronized queue.

     Definition Classes
       GenTraversableOnce

197. #### def toArray[B >: A](implicit arg0: ClassManifest[B]): Array[B]

     Converts this synchronized queue to an array.

     Converts this synchronized queue to an array.

     B

       the type of the elements of the array. A `ClassManifest` for this type must be available.

     returns

       an array containing all elements of this synchronized queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

198. #### def toBuffer[B >: A]: Buffer[B]

     Converts this synchronized queue to a mutable buffer.

     Converts this synchronized queue to a mutable buffer.

     returns

       a buffer containing all elements of this synchronized queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

199. #### def toCollection(repr: MutableList[A]): LinearSeq[A]

     A conversion from collections of type `Repr` to `SynchronizedQueue` objects.

     A conversion from collections of type `Repr` to `SynchronizedQueue` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       LinearSeqLike → SeqLike → IterableLike → TraversableLike

200. #### def toIndexedSeq[B >: A]: IndexedSeq[B]

     Converts this synchronized queue to an indexed sequence.

     Converts this synchronized queue to an indexed sequence.

     returns

       an indexed sequence containing all elements of this synchronized queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

201. #### def toIterable: Iterable[A]

     Converts this synchronized queue to an iterable collection.

     Converts this synchronized queue to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this synchronized queue.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

202. #### def toIterator: Iterator[A]

     Returns an Iterator over the elements in this synchronized queue.

     Returns an Iterator over the elements in this synchronized queue. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this synchronized queue.

     Definition Classes
       TraversableLike → GenTraversableOnce

203. #### def toList: List[A]

     Returns an instance of `scala.List` containing the same sequence of elements.

     Returns an instance of `scala.List` containing the same sequence of elements.

     returns

       a list containing all elements of this synchronized queue.

     Definition Classes
       MutableList → TraversableOnce → GenTraversableOnce

204. #### abstract def toMap[T, U]: Map[T, U]

     [use case] Converts this synchronized queue to a map.

     [use case]

     Converts this synchronized queue to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this synchronized queue.

     Definition Classes
       GenTraversableOnce

205. #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): Map[T, U]

     Converts this synchronized queue to a map.

     Converts this synchronized queue to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this synchronized queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

206. #### def toQueue: Queue[A]

     Definition Classes
       MutableList

207. #### def toSeq: Seq[A]

     Converts this synchronized queue to a sequence.

     Converts this synchronized queue to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this synchronized queue.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

208. #### def toSet[B >: A]: Set[B]

     Converts this synchronized queue to a set.

     Converts this synchronized queue to a set.

     returns

       a set containing all elements of this synchronized queue.

     Definition Classes
       TraversableOnce → GenTraversableOnce

209. #### def toStream: Stream[A]

     Converts this synchronized queue to a stream.

     Converts this synchronized queue to a stream.

     returns

       a stream containing all elements of this synchronized queue.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

210. #### def toString(): String

     Returns a textual representation of a queue as a string.

     Returns a textual representation of a queue as a string.

     returns

       the string representation of this queue.

     Definition Classes
       SynchronizedQueue → SeqLike → Function1 → TraversableLike → AnyRef → Any

211. #### def toTraversable: Traversable[A]

     Converts this synchronized queue to an unspecified Traversable.

     Converts this synchronized queue to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this synchronized queue.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

212. #### def transform(f: (A) ⇒ A): SynchronizedQueue.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

213. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): Queue[Queue[B]]

     Transposes this synchronized queue of traversable collections into a synchronized queue of synchronized queues.

     Transposes this synchronized queue of traversable collections into a synchronized queue of synchronized queues.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this synchronized queue is a `Traversable`.

     returns

       a two-dimensional synchronized queue of synchronized queues which has as nth row the nth column of this synchronized queue.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this synchronized queue are not of the same size.

214. #### abstract def union(that: Seq[A]): SynchronizedQueue[A]

     [use case] Produces a new sequence which contains all elements of this synchronized queue and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this synchronized queue and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     that

       the sequence to add.

     returns

       a new collection of type `That` which contains all elements of this synchronized queue followed by all elements of `that`.

     Definition Classes
       SeqLike

215. #### def union[B >: A, That](that: GenSeq[B])(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     Produces a new sequence which contains all elements of this synchronized queue and also all elements of a given sequence.

     Produces a new sequence which contains all elements of this synchronized queue and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     B

       the element type of the returned synchronized queue.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     that

       the sequence to add.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` which contains all elements of this synchronized queue followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike

216. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (Queue[A1], Queue[A2])

     Converts this synchronized queue of pairs into two collections of the first and second half of each pair.

     Converts this synchronized queue of pairs into two collections of the first and second half of each pair.

     asPair

       an implicit conversion which asserts that the element type of this synchronized queue is a pair.

     returns

       a pair synchronized queues, containing the first, respectively second half of each element pair of this synchronized queue.

     Definition Classes
       GenericTraversableTemplate

217. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (Queue[A1], Queue[A2], Queue[A3])

     Converts this synchronized queue of triples into three collections of the first, second, and third element of each triple.

     Converts this synchronized queue of triples into three collections of the first, second, and third element of each triple.

     asTriple

       an implicit conversion which asserts that the element type of this synchronized queue is a triple.

     returns

       a triple synchronized queues, containing the first, second, respectively third member of each element triple of this synchronized queue.

     Definition Classes
       GenericTraversableTemplate

218. #### def update(n: Int, x: A): Unit

     Updates the `n`th element of this list to a new value.

     Updates the `n`th element of this list to a new value.

     n

       the index of the element to replace.

     Definition Classes
       MutableList → SeqLike
     Exceptions thrown
       IndexOutOfBoundsException

       if index does not exist.

219. #### abstract def updated(index: Int, elem: A): SynchronizedQueue[A]

     [use case] A copy of this synchronized queue with one single replaced element.

     [use case]

     A copy of this synchronized queue with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a new synchronized queue`which is a copy of this synchronized queue with the element at position` index`replaced by` elem`.`

     Definition Classes
       GenSeqLike

220. #### def updated[B >: A, That](index: Int, elem: B)(implicit bf: CanBuildFrom[MutableList[A], B, That]): That

     A copy of this synchronized queue with one single replaced element.

     A copy of this synchronized queue with one single replaced element.

     B

       the element type of the returned synchronized queue.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     index

       the position of the replacement

     elem

       the replacing element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new synchronized queue`which is a copy of this synchronized queue with the element at position` index`replaced by` elem`.`

     Definition Classes
       SeqLike → GenSeqLike

221. #### def view(from: Int, until: Int): SeqView[A, MutableList[A]]

     Creates a non-strict view of a slice of this synchronized queue.

     Creates a non-strict view of a slice of this synchronized queue.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current synchronized queue, whereas `slice` produces a new synchronized queue.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this synchronized queue, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

222. #### def view: SeqView[A, MutableList[A]]

     Creates a non-strict view of this synchronized queue.

     Creates a non-strict view of this synchronized queue.

     returns

       a non-strict view of this synchronized queue.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

223. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

224. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

225. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

226. #### def withFilter(p: (A) ⇒ Boolean): FilterMonadic[A, MutableList[A]]

     Creates a non-strict filter of this synchronized queue.

     Creates a non-strict filter of this synchronized queue.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this synchronized queue which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

227. #### abstract def zip[B](that: GenIterable[B]): SynchronizedQueue[(A, B)]

     [use case] Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this synchronized queue and `that`. The length of the returned collection is the minimum of the lengths of this synchronized queue and `that`.

     Definition Classes
       GenIterableLike

228. #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[MutableList[A], (A1, B), That]): That

     Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs.

     Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     B

       the type of the second half of the returned pairs

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

     that

       The iterable providing the second half of each result pair

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this synchronized queue and `that`. The length of the returned collection is the minimum of the lengths of this synchronized queue and `that`.

     Definition Classes
       IterableLike → GenIterableLike

229. #### abstract def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): SynchronizedQueue[(A, B)]

     [use case] Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this synchronized queue is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this synchronized queue.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this synchronized queue and `that`. The length of the returned collection is the maximum of the lengths of this synchronized queue and `that`. If this synchronized queue is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this synchronized queue, `thatElem` values are used to pad the result.

     Definition Classes
       GenIterableLike

230. #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[MutableList[A], (A1, B), That]): That

     Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs.

     Returns a synchronized queue formed from this synchronized queue and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this synchronized queue is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this synchronized queue.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this synchronized queue and `that`. The length of the returned collection is the maximum of the lengths of this synchronized queue and `that`. If this synchronized queue is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this synchronized queue, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike

231. #### abstract def zipWithIndex: SynchronizedQueue[(A, Int)]

     [use case] Zips this synchronized queue with its indices.

     [use case]

     Zips this synchronized queue with its indices.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this synchronized queue paired with their index. Indices start at `0`.

     Definition Classes
       GenIterableLike

232. #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[MutableList[A], (A1, Int), That]): That

     Zips this synchronized queue with its indices.

     Zips this synchronized queue with its indices.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this synchronized queue paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike

### Deprecated Value Members

1. #### def elements: Iterator[A]

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `iterator' instead`

2. #### def equalsWith[B](that: Seq[B])(f: (A, B) ⇒ Boolean): Boolean

   Tests whether every element of this synchronized queue relates to the corresponding element of another sequence by satisfying a test predicate.

   Tests whether every element of this synchronized queue relates to the corresponding element of another sequence by satisfying a test predicate.

   B

     the type of the elements of `that`

   that

     the other sequence

   returns

     `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this synchronized queue and `y` of `that`, otherwise `false`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `corresponds` instead

3. #### def findIndexOf(p: (A) ⇒ Boolean): Int

   Returns index of the first element satisfying a predicate, or `-1`.

   Returns index of the first element satisfying a predicate, or `-1`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use indexWhere(p) instead.

4. #### def findLastIndexOf(p: (A) ⇒ Boolean): Int

   Returns index of the last element satisfying a predicate, or -1.

   Returns index of the last element satisfying a predicate, or -1.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `lastIndexWhere` instead

5. #### def first: A

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `head' instead`

6. #### def firstOption: Option[A]

   `None` if iterable is empty.

   `None` if iterable is empty.

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `headOption' instead`

7. #### def projection: SeqView[A, MutableList[A]]

   returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

   returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

   Definition Classes
     SeqLike → IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `view' instead`

8. #### def reset(): Unit

   Definition Classes
     MutableList
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use clear() instead

9. #### def reversedElements: Iterator[A]

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `reverseIterator' instead`

### Inherited from Queue[A]

### Inherited from MutableList[A]

### Inherited from Serializable

### Inherited from Builder[A, MutableList[A]]

### Inherited from Growable[A]

### Inherited from LinearSeqOptimized[A, MutableList[A]]

### Inherited from LinearSeq[A]

### Inherited from LinearSeqLike[A, MutableList[A]]

### Inherited from Seq[A]

### Inherited from SeqLike[A, Seq[A]]

### Inherited from Cloneable[Queue[A]]

### Inherited from Seq[A]

### Inherited from SeqLike[A, MutableList[A]]

### Inherited from GenSeq[A]

### Inherited from GenSeqLike[A, MutableList[A]]

### Inherited from PartialFunction[Int, A]

### Inherited from (Int) ⇒ A

### Inherited from Iterable[A]

### Inherited from IterableLike[A, MutableList[A]]

### Inherited from Equals

### Inherited from GenIterable[A]

### Inherited from GenIterableLike[A, MutableList[A]]

### Inherited from Traversable[A]

### Inherited from Mutable

### Inherited from Traversable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, Queue]

### Inherited from TraversableLike[A, MutableList[A]]

### Inherited from GenTraversableLike[A, MutableList[A]]

### Inherited from Parallelizable[A, ParSeq[A]]

### Inherited from TraversableOnce[A]

### Inherited from GenTraversableOnce[A]

### Inherited from FilterMonadic[A, MutableList[A]]

### Inherited from HasNewBuilder[A, Queue[A]]

### Inherited from AnyRef

### Inherited from Any